<template>
	<view class="content">
		<header-title :title="'收款码'+$test.$test"></header-title>
		<view class="main">
			<view class="box-pack-between ft32 item flex-y-center">
				<text>收款码 <text style="color:red">*</text> <text class="tips">(扫码/相册选取)</text></text>
				<image @click="qrcode" class="qrupimg" data-type="1" src="../../static/images/saoma.png" mode=""></image>
			</view>
			<view class="qr_content box-pack-between">
				<view></view>
				<view>
					<view class="qr_content_img" v-for="(item,index) of qr_arr" :key="index">
						<image class="qr_content_img_li" :src="item.img" mode=""></image>
						<image @click="qr_del" :data-index="index" class="qr_content_img_del" src="../../static/images/shanchu.png" mode=""></image>
					</view>
				</view>
			</view>
			<!-- <block v-if="moshi==2"> -->
			<FlowPool :thismoshi="moshi" :rule_arr_val="ruleArr" :this_moshi_type="moshi_type" :list_way="list_way" @ondel="binddel"
			 @oncheck="bindcheck" @onTime='bindtime' @confirm="bindConfirm" @bindlevel="bindlevel"></FlowPool>
			<!-- </block> -->
			<view v-if="moshi==1">
				<view class="box-pack-between ft32 item">
					<text>{{$test.$test}}场景 </text>
					<view class="add-home flex-center ft24">
						<picker @change="bindPickerChange" :range-key="'name'" :range="allwayList">
							添加
						</picker>
					</view>
				</view>
				<view class="item-bg" v-if="arr.length>0">
					<view class="box-pack-between mar64 flex-y-center" v-for="(item,index) of arr" :key='item.id'>
						<view class="flex-y-center flex-grow-1 pdr-20">
							<text style="margin-right: 10rpx;">{{item.name}}</text>
							<input class="flex-grow-1" type="text" @input="getScene" :data-index="index" placeholder="请填写链接或内容" 
							:value="item.way_power" maxlength="5000" />
						</view>
						<image class="item-del" @click="delScene" :data-index='index' src="../../static/images/del.png" mode=""></image>
					</view>
				</view>
			</view>

			<view class="">
				<view class="box-pack-between ft32 item">
					<text>配置中转页</text>
					<view class="flex-center ft24">
						<switch @change="bindMidState" :checked="mid_state==1?true:false" style="transform:scale(0.7)" />
					</view>
				</view>

				<!-- is_mid -->
				<view class="item-bg" v-if="mid_state==1?true:false">
					<view class="box-pack-between mgr57">
						<view class="flex-row">
							<text class="item-bg-32">中转页标题</text>
							<input type="text" @input="bindMidTitle" :value="mid_title" placeholder="请填写中转页标题" />
						</view>
					</view>

					<block v-if="Advertising.length>0">
						<view class="box-pack-between mgr57">
							<text class="item-bg-32" :data-index="Advertising[Adver_index].id">广告方式</text>
							<!-- <input style="display: none;" name="id" :value="Advertising[Adver_index].id" /> -->
							<picker @change="bindPickerAdvertising" :range-key="'name'" :range="Advertising">
								<text>{{Advertising[Adver_index].name}} <text class="iconfont icon-prev"></text></text>
							</picker>
						</view>
						<view class="box-pack-between flex-y-center" v-if="Advertising[Adver_index].name=='自定义引导页'">
							<text class="item-bg-32">广告引导页</text>
							<image @click="ChooseImage" data-type="2" v-if="mid_img" class="upimg" :data-url="Advertising[Adver_index].url"
							 :src="URL+mid_img"></image>
							<image @click="ChooseImage" data-type="2" v-else class="upimg" src="../../static/images/upimg.png" mode=""></image>
						</view>

						<view class="box-pack-between flex-y-center" v-else-if="Advertising[Adver_index].name=='安全认证'">
							<text class="item-bg-32">广告引导页</text>
							<image mode="aspectFill" data-url="../../merchant/static/images/ali_ua.png" class="upimg" src="../../merchant/static/images/ali_ua.png"></image>
							<image mode="aspectFill" data-url="../../merchant/static/images/wx_ua.png" class="upimg" src="../../merchant/static/images/wx_ua.png"></image>
							<image mode="aspectFill" data-url="../../merchant/static/images/web_ua.png" class="upimg" src="../../merchant/static/images/web_ua.png"></image>
						</view>

						<view class="box-pack-between flex-y-center" v-else>
							<text class="item-bg-32">广告引导页</text>
							<image @click="Choose_img" mode="aspectFill" :data-url="URL+Advertising[Adver_index].url" class="upimg" :src="URL+Advertising[Adver_index].url"></image>
						</view>
					</block>
				</view>
				<text style="padding:0 40rpx;font-size: 12px;color: #999;">ps:{{$test.$test}}微信/支付宝钱包收款码，请勿关闭中转页</text>
			</view>

			<view class="box-pack-between ft32 item" v-if="mid_state==1?false:true">
				<text>开启遮盖指引</text>
				<view class="flex-center ft24">
					<switch :checked="hj_state==1?true:false" @change="bindHj" style="transform:scale(0.7)" />
				</view>
			</view>

			<view class="box-pack-between ft32  descp ">
				<textarea :value="description" @input="binddesc" maxlength="200" placeholder-class="desc-placeholder" :placeholder="$test.$test+'备注'"
				 name='description' />
				</view>
				
		<view class="box-pack-between ft32 item">
					  <view class="flex-center">
					  	<text>加入换量记录池</text>
					  </view>
						<view class=" flex-center ft24">
							<switch name="is_exchange" @change="bindHl" :checked="is_exchange=='Y'?true:false" style="transform:scale(0.7)" />
						</view>
		</view>

			<view class="hg200rpx">
				
			</view>
			
			<view class="bottom-bar">
				<block v-if="card_num">
					<button @click="ScCode" type="2" class="btn2 flex-center">
						确定修改
					</button>
				</block>
				
				<block v-else>
					<button  @click="bangCode" type="1" class="btn1 flex-center">
						绑定二维码
					</button>
					<button  @click="ScCode" type="2" class="btn2 flex-center">
						生成二维码
					</button>
				</block>
			</view>
		</view>
		
	</view>
	
	
</template>

<script>
	import HeaderTitle from '@/components/header/header-title.vue';
	import FlowPool from '@/components/flow-pool/flow-pool.vue';
	// #ifdef H5
	import getWXSign from "@/static/js/config.js";
	// #endif 
	
	export default {
		components: {
			HeaderTitle,
			FlowPool,
		},
		data() {
			 /* 
			 @param allwayList=[] 赋能平台
			 @param arr 赋能内容
			 @param result 绑定二维码链接
			 @param url 二维码跳转链接
			 @param URL 前缀链接
			 @param  card_num 卡号
			 @param  Advertising=[] 引导页数组
			 @param Adver_index 引导页数组下标
			 @param mid_type 判断引导页 中转类型
			 @param mid_img 引导页自定义图片
			 @param mid_state 引导页开启1 关闭2
			 @param mid_title 引导页标题
			 @param info 编辑返回数据
			 @param qr_arr=[] 二维码内容
			 */
			return {
				
				$test:this.$test.$test,
			    act_index_time: 0,
				allwayList: [],
				arr: [],
				result: "", 
				img_file: "",
				url: "",
				URL: getApp().globalData.URL,
				card_num: "",
				Advertising: [],
				Adver_index: 0,
				mid_type: "",
				mid_img: "",
				mid_state: 1,
				mid_title:"",
				hj_state:2,
				info: {},
				qr_arr: [],
				description:"",
				is_exchange:'N',
				
				moshi:1,
				moshi_type:2,
				list_way:[],
				ruleArr:[],
				powerpool_id:"",
				level_arr:[1,2,3],	
				level:"",
				rule:"",
				
			}
		},

		onLoad(e) {
		    uni.removeStorageSync("list_way");
			this.card_num = e.card_num;
			uni.setNavigationBarTitle({
				title:`收款码${this.$test.$test}`
			})
			if (!this.card_num) {
				this.allmuban();
			}
			this.allways();
			this.level=this.level_arr.join(",");
		},
		
		 onShow() {
			 // var  aaa="https://payapp.weixin.qq.com"
			 // console.log(aaa.length,"aaa")
			 
			if(uni.getStorageSync("list_way")){
				this.list_way=uni.getStorageSync("list_way");
				if(this.way_index==3){
					for(let i of this.list_way){
						if(i.checked){
							this.powerpool_id=i.id
						}
					}
				}
			}
		 },
		 
		 onHide(e) {
		 	
		 },
		 
		methods: {
			/*
			 * @param bindMidState 中转页开关
			 * @param Choose_img 预览图片
			 * @param allmuban 中转页设置方式
			 * @param getScene 赋能场景输入监听
			 * @param delScene 赋能场景删除
			 * @param bindPickerAdvertising  中转页选择确认
			 * @param bindPickerChange 赋能场景确认
			 * @param allways 赋能场景数据加载
			 * @param qr_del 删除收款码 
			 * @param qrcode 扫码收款码
			 * @param edit_detail 编辑内容
			 * @param ScCode 生成二维码/修改二维码
			 * @param Submit 保存/编辑
			 * @param ChooseImage 上传图片
			 * @param  https 保存的公共方法
			 * @param  bangCode 绑定二维码
			 * @param  
			*/
		   // 流量池
		   bindcheck(index) {
			  uni.removeStorageSync("list_way");
		      this.moshi = index;
		   },
		   
			binddel(index){
				this.list_way.splice(index, 1);
			},

		   bindtime(index) {
			   console.log("000",index)
			   this.list_way=[];
			   uni.removeStorageSync("list_way");
			   this.moshi_type=index==1?1:2;
			   this.way_index=index;
			   if(index==1){
				   uni.navigateTo({
				   	url: "../public/index"
				   })
			   }
			   // 默认流量池
				if(index==3){
					 uni.navigateTo({
						url: "../public/index?type=2"
					 })
				}
		   },
		   
		   // 获取时间
		   bindConfirm(rule){
			   console.log(rule,"aff")
			   this.rule=rule;
		   },
		   
		   bindlevel(e){
			   console.log(e,"bindlevel")
			   var level=[];
			   for(var i of e){
				   level.push(i.level)
			   }
			   this.level=level.join(",");
		   },
			// 流量池end
		   
		    bindMidTitle(e){
				this.mid_title= e.detail.value;
			},
			
			bindMidState(e) {
				this.mid_state = e.target.value?1:2;
			},
			
			bindHj(e){
				this.hj_state = e.target.value?1:2;
			},
			
			bindHl(e){
				console.log( e.target.value)
				this.is_exchange = e.target.value?"Y":"N";
			},
			
			
			Choose_img(e) {
				var url = e.currentTarget.dataset.url
				uni.previewImage({
					urls: [url],
				})
			},
			
             binddesc(e){
				  this.description = e.detail.value
			 },
			  
			  
			allmuban() {
				this.request({
					url: "funeng/allmuban",
				}).then(res => {
					console.log(res, "res")
					if (res.code === '200') {
						res.data.push({
							name: "自定义引导页",
							id: "0",
						});
						if (this.card_num) {
							for (let i in res.data) {
								if (res.data[i].id == this.mid_type) {
									this.Adver_index = i;
								}
							}
						}
						this.Advertising = res.data;
					}
				}).catch((res) => {});
			},

			getScene(e) {
				var index = e.currentTarget.dataset.index;
					this.arr[index].way_power = e.detail.value;
			},
			
			delScene(e) {
				var index = Number(e.currentTarget.dataset.index);
				this.arr.splice(index,1);
			},

			bindPickerAdvertising(e) {
				this.Adver_index = e.detail.value;
				this.mid_img = "";
			},

			bindPickerChange: function(e) {
				console.log(e,this.allwayList, "bindPickerChange",)
				if (this.arr.length > 0) {
					for (let i of this.arr) {
						if (i.id == this.allwayList[e.target.value].id) {
							uni.showToast({
								title: "场景重复",
								icon: 'none'
							})
							return
						}
					}
			  }
			  this.arr.push({
				  id:this.allwayList[e.target.value].id,
				  name:this.allwayList[e.target.value].name,
				  super_id:this.allwayList[e.target.value].super_id,
			  });
			},
			
			allways() {
				this.request({
					url: "funeng/allways",
					data: {},
				}).then(res => {
					console.log(res, "res")
					if (res.code === '200') {
					   this.allwayList=res.data;
					   this.arr.push({
							id: res.data[0].id,
							name:res.data[0].name,
							super_id:res.data[0].super_id,
						});
						if (this.card_num) {
							this.edit_detail();
						}
					}
				}).catch((res) => {});
			},

			qr_del(e) {
				var index = e.currentTarget.dataset.index;
				this.qr_arr.splice(index, 1)
			},

		    qrcode(e) {
				// #ifdef MP-WEIXIN
				uni.scanCode({
					scanType:['barCode', 'qrCode','datamatrix','pdf41'],
					success: (res) => {
						console.log('条码内容：',res,res.result);
						var result = res.result,
							qr_arr = this.qr_arr;
							console.log('内容：',result.substr(0, 28));	
						if (result.substr(0, 3) == "wxp" || result.substr(0, 28) =="https://payapp.weixin.qq.com" ) {
							uni.showModal({
								title: '提示',
								content: '因接口调整，暂不支持微信收款码',
								showCancel: false,
								cancelText: '取消',
								confirmText: '确定',
								success: res => {},
								fail: () => {},
								complete: () => {}
							});
						    return
							qr_arr.push({
								url: result,
								img: "../../static/images/pay_wx.png",
								type: 1
							})
						} else if (result.substr(0, 17) == "HTTPS://QR.ALIPAY" || result.substr(0, 17) == "https://qr.alipay") {
							qr_arr.push({
								url: result,
								img: "../../static/images/pay_ali.png",
								type: 2
							})
						} else if(result.substr(0, 17) =="https://i.qianbao")
						{
							qr_arr.push({
								url: result,
								img: "../../static/images/qq.com",
								type: 5
							})
						}
						else {
							qr_arr.push({
								url: result,
								img: "../../static/images/pay_jh.png",
								type: 3
							})
						}
						this.qr_arr = uniqeByKeys(qr_arr, ['type']);
						console.log(this.qr_arr, "qr_arr")
						//将对象元素转换成字符串以作比较  
						function obj2key(obj, keys) {
							var n = keys.length,
								key = [];
							while (n--) {
								key.push(obj[keys[n]]);
							}
							return key.join('|');
						}
						//去重操作  
						function uniqeByKeys(array, keys) {
							var arr = [];
							var hash = {};
							for (var i = 0, j = array.length; i < j; i++) {
								var k = obj2key(array[i], keys);
								if (!(k in hash)) {
									hash[k] = true;
									arr.push(array[i]);
								}
							}
							return arr;
						}
					},
				})
				// #endif
				
				// #ifdef H5
				getWXSign().then(res => {
					console.log('wx_getLocation');
					this.$wx.scanQRCode({
						needResult: 1, // 默认为0，扫描结果由微信处理，1则直接返回扫描结果，
						scanType: ["qrCode", "barCode"], // 可以指定扫二维码还是一维码，默认二者都有
						success: (res) => {
							console.log(res, "qrCode")
							var result = res.resultStr,
								qr_arr = this.qr_arr;
							if (result.substr(0, 3) == "wxp") {
								qr_arr.push({
									url: result,
									img: "../../static/images/pay_wx.png",
									type: 1
								})
							} else if (result.substr(0, 17) == "HTTPS://QR.ALIPAY" || result.substr(0, 10) == "https://qr.alipay") {
								qr_arr.push({
									url: result,
									img: "../../static/images/pay_ali.png",
									type: 2
								})
							}
							else if(result.substr(0, 17) =="https://i.qianbao"){
							qr_arr.push({
								url: result,
								img: "../../static/images/qq.com",
								type: 5
							})
						  }else {
								qr_arr.push({
									url: result,
									img: "../../static/images/pay_jh.png",
									type: 3
								})
					    	}
							this.qr_arr = uniqeByKeys(qr_arr, ['type']);
							console.log(this.qr_arr, "qr_arr")
							//将对象元素转换成字符串以作比较  
							function obj2key(obj, keys) {
								var n = keys.length,
									key = [];
								while (n--) {
									key.push(obj[keys[n]]);
								}
								return key.join('|');
							}
							//去重操作  
							function uniqeByKeys(array, keys) {
								var arr = [];
								var hash = {};
								for (var i = 0, j = array.length; i < j; i++) {
									var k = obj2key(array[i], keys);
									if (!(k in hash)) {
										hash[k] = true;
										arr.push(array[i]);
									}
								}
								return arr;
							}
						}
					})
				})
				// #endif
			},

			edit_detail(e) {
				this.request({
					url: "funeng/edit_detail",
					data: {
						card_num: this.card_num,
					},
				}).then(res => {
					console.log(res, "res")
					if (res.code === '200') {
						this.info = res.data;
						// this.img_file = res.data.img_file;
						this.description= res.data.description;
						
						this.arr = res.data.funeng;
						
						this.url = res.data.url;
						
						this.mid_img = res.data.mid_img;
						
						this.mid_type = res.data.mid_type;
						
						this.mid_state = res.data.mid_state;
						
						this.mid_title = res.data.mid_title;
						
						this.hj_state=res.data.hj_state;
						
					    this.is_exchange=res.data.is_exchange;
						
						var qr_arr= res.data.urls;
						
						this.moshi = res.data.moshi;
						
						this.moshi_type=res.data.moshi_type;
						
						this.ruleArr=res.data.rule_arr;
						
						console.log(this.moshi_type,"moshi_type")
				
						if(this.moshi==2){
							if(this.moshi_type==2){
								var a = []
								for(let i of res.data.rule_arr){
									a.push(i.type)
								}
								// 去除重复的数
								  var b = []
								  for (var i = 0; i < a.length; i++) {
								  if (b.indexOf(a[i]) === -1) {
								     b.push(a[i])
								   }
								  }
								 this.level=b.join(",");
								this.powerpool_id=res.data.powerpool_id;
							}
							for(let i of res.data.powerpool){
								i.checked=true;
							}
							this.list_way=res.data.powerpool;
						}
						
						for(let i in qr_arr){
							if(qr_arr[i].pay_company==1){
								qr_arr[i].type=1;
								qr_arr[i].img="../../static/images/pay_wx.png";
							}
							
							if(qr_arr[i].pay_company==2){
								qr_arr[i].type=2;
								qr_arr[i].img="../../static/images/pay_ali.png";
							}
							
							if(qr_arr[i].pay_company==5){
								qr_arr[i].type=5;
								qr_arr[i].img="../../static/images/qq.png";
							}
							
							if(qr_arr[i].pay_company==3||qr_arr[i].pay_company==4){
								qr_arr[i].type=3;
								qr_arr[i].img="../../static/images/pay_jh.png";
							}
						}
						
						this.qr_arr=qr_arr;
						this.allmuban();
					}
				}).catch((res) => {});
			},

			bangCode(e) {
				console.log(e, "bangCode")
				// #ifdef MP-WEIXIN
				uni.scanCode({
					success: (res) => {
						console.log('条码类型：' + res.scanType);
						console.log('条码内容：' + res.result);
						var params = (() => {
							var search = res.result; //获取location的search属性，保存在search中          
							var params = {}; //创建空对象params
							if (search != "") { //如果search不是空字符串
								search.slice(1).split("?").forEach( //?username=zhangdong&pwd=123456;//search去开头?，按&切割为数组，forEach
									function(val) {
										var arr = val.split("="); //将当前元素值按=切割，保存在arr中
										params[arr[0]] = arr[1]; //向params中添加一个元素,属性名为arr[0],值为arr[1]
									}
								);
							}
							return params; //返回params
						})();
						this.result = params.card_num;
						this.https(1)
					}
				});
				// #endif
				// #ifdef H5
				getWXSign().then(res => {
					console.log('wx_getLocation');
					this.$wx.scanQRCode({
						needResult: 1, // 默认为0，扫描结果由微信处理，1则直接返回扫描结果，
						scanType: ["qrCode", "barCode"], // 可以指定扫二维码还是一维码，默认二者都有
						success: (res) => {
							console.log(res, "qrCode")
							// this.result = res.resultStr;
							var params = (() => {
								var search = res.resultStr; //获取location的search属性，保存在search中          
								var params = {}; //创建空对象params
								if (search != "") { //如果search不是空字符串
									search.slice(1).split("?").forEach( //?username=zhangdong&pwd=123456;//search去开头?，按&切割为数组，forEach
										function(val) {
											var arr = val.split("="); //将当前元素值按=切割，保存在arr中
											params[arr[0]] = arr[1]; //向params中添加一个元素,属性名为arr[0],值为arr[1]
										}
									);
								}
								return params; //返回params
							})();
							this.result = params.card_num;
							this.https(1)
						}
					})
				})
				// #endif
			},

			ScCode(e) {
				this.https(2)
			},
			
			https(type) {
				let arr = this.arr,
				    qr_arr=this.qr_arr,
					ul=[],
					way_id = [],
					way_power = [];
				for (let i of arr) {
					way_id.push(i.id);
					way_power.push(i.way_power)
				}
				for (let i of qr_arr) {
					ul.push(i.url);
				}	

				var powerpool_id ="";
				if(this.moshi_type==1){
					var powerpool_arr = [];
					for (let i of this.list_way) {
						if (i.checked) {
							powerpool_arr.push(i.id);
						}
					}
				    powerpool_id=powerpool_arr.join(",");
				}else{
					powerpool_id=this.powerpool_id;
				}	
				if (way_power.length <= 0) {
					uni.showToast({
						title: "场景为空",
						icon: 'none'
					})
					return
				}
				if (!ul) {
					uni.showToast({
						title: "收款图片为空",
						icon: 'none'
					})
					return
				}
				
				let data = {

					token: uni.getStorageSync("token"),
					type: 1,
					paycode_type: 1,
					
					// 1图片2链接
					// paycode_img: this.img_file,
					// img_file: this.img_file,
					
					paycode_num:1,
	
					url_arr:ul.join(","),
					
					url:ul.join(","),
					
					way_id: way_id.join(","),
					
					way_power: way_power.join(","),
					
					save_type: type,
					
					
					qrcode: this.result,
					
					hj_state:this.hj_state,
					
					mid_state: this.mid_state,
					
					mid_title:this.mid_title,
					
					mid_type:this.Advertising[this.Adver_index].id,
					
					mid_img: this.Advertising[this.Adver_index].id == "0" ? this.mid_img : this.Advertising[this.Adver_index].thumb,
				  
					description: this.description,
				
					is_exchange:this.is_exchange,
					
					moshi:this.moshi,
					
					moshi_type:this.moshi_type,
					
					powerpool_id:powerpool_id,
					
					level:this.level,
					
					rule:this.rule,
				}
				
				let url;
				
				this.card_num ? (data.code = this.info.code, url = "funeng/save_edit") : url = "funeng/paycode";
				
				//请求验证码
				this.request({
					url,
					data,
				}).then(res => {
					console.log(res, "res")
					if (res.code === '200') {
						this.card_num ? (
							uni.showToast({
								title: "设置成功",
								icon: 'none'
							}),
							setTimeout(() => {
								uni.navigateBack({
									delta: 1
								})
							}, 2e3)
						) : (
							uni.showToast({
								title: "生成成功",
								icon: 'none'
							}),
							uni.redirectTo({
								url: "code?type=1" + '&card_num=' + res.data.card_num
							})
						)
					}
				}).catch((res) => {
					uni.showToast({
						title: res.message,
						icon: 'none'
					})
				});
			},

			ChooseImage(e) {
				console.log(e, "rrr")
				let type = e.currentTarget.dataset.type;
				uni.chooseImage({
					count: 1, //默认9
					sizeType: ['original', 'compressed'], //可以指定是原图还是压缩图，默认二者都有
					sourceType: ['album'], //从相册选择
					success: (res) => {
						res.tempFilePaths.forEach((v, i) => {
							console.log(v)
							this.Upload({
								url: "Spread/upload_img",
								data: {
									url: v,
									type: type == 1 ? 1 : 0,
									token: uni.getStorageSync("token"),
								}
							}).then(res => {
								if (type == 1) {
									this.img_file = res.file
									this.url = res.url
								} else {
									this.mid_img = res.file
								}
								console.log(res, "res")
							}).catch(err => {
								console.log(err, "err")
								uni.showToast({
									title: err.message,
									icon: 'none'
								})
							});
						})
					},
				});
			},
		}
	}
</script>

<style>
	.qr_content {
		padding: 0 40rpx;
	}

	.qr_content_img {
		display: inline-block;
		position: relative;
	}

	.qr_content_img .qr_content_img_li {
		margin-left: 20rpx;
		width: 120rpx;
		height: 120rpx;
	}

	.qr_content_img_del {
		width: 40rpx;
		height: 40rpx;
		position: absolute;
		top: 0;
		right: 0;
	}

	.tr {
		text-align: right;
	}

	.pdr-20 {
		padding-right: 20rpx;
	}

	.item {
		padding: 32rpx 40rpx;
	}

	.upimg {
		width: 126rpx;
		height: 126rpx;
	}

	.add-home {
		color: #FFFFFF;
		width: 126rpx;
		height: 54rpx;
		background: linear-gradient(315deg, #3387ff 2%, #569bff 99%);
		border-radius: 8rpx;
		box-shadow: 0px 0px 8rpx 0px rgba(51, 135, 255, 0.2);
	}

	.item-bg {
		width: 670rpx;
		/* height: 298rpx; */
		background: #f6f8fe;
		border-radius: 12rpx;
		margin: 0 auto;
		font-size: 28rpx;
		font-family: PingFang SC, PingFang SC-Regular;
		font-weight: 400;
		color: #333333;
		padding: 36rpx 32rpx;
	}

	.item-del {
		width: 40rpx;
		height: 40rpx;
	}

	.mar64 {
		margin-bottom: 64rpx;
	}
 
	.item-bg .mar64:last-child {
		margin-bottom: 0rpx;
	}

	.hg200rpx {
		height: 100rpx;
	}

	.mgr57 {
		margin-bottom: 57rpx;
	}

	.item-bg-32 {
		margin-right: 32rpx;
	}

	.qrupimg {
		width: 80rpx;
		height: 80rpx;
	}
	.tips{
		font-size: 26rpx;
		color: #999;
	}
	
</style>
